# Interface methods for submodule: SingleValuedCostFunctionv4Template
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import CostFunctionTemplateProxy as _CostFunctionTemplateProxy


# Interface methods for class: SingleValuedCostFunctionv4Template
class SingleValuedCostFunctionv4TemplateProxy(_CostFunctionTemplateProxy):
	def GetNameOfClass(self):
		""""""
		...

	def GetValue(self) -> float:
		""""""
		...

	def GetValueAndDerivative(self, value: float, derivative: Sequence[float]) -> None:
		""""""
		...

